ata_scsi_pass_thru
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_scsi_pass_thru — convert ATA pass-thru CDB to taskfile

## Synopsis

`unsigned int ata_scsi_pass_thru (` | struct ata_queued_cmd * | qc`)`;

## Arguments

`qc`

  command structure to be initialized

## Description

Handles either 12 or 16-byte versions of the CDB.

## RETURNS

Zero on success, non-zero on failure.

Prev | Up | Next
ata_scsi_find_dev | Home | ata_get_xlat_func